Update portal personalization
curl --request PATCH \
--url https://api.consumer.younegotiate.com/profile/personalization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'primary_color=#112233' \
--form 'secondary_color=#445566' \
--form 'image=<string>' \
--form 0.image='@example-file' \
--form 1.image='@example-file' \
--form 2.image='@example-file'import requests
url = "https://api.consumer.younegotiate.com/profile/personalization"
files = {
"0.image": ("example-file", open("example-file", "rb")),
"1.image": ("example-file", open("example-file", "rb")),
"2.image": ("example-file", open("example-file", "rb"))
}
payload = {
"primary_color": "#112233",
"secondary_color": "#445566",
"image": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('primary_color', '#112233');
form.append('secondary_color', '#445566');
form.append('image', '<string>');
form.append('0.image', '{
"fileName": "example-file"
}');
form.append('1.image', '{
"fileName": "example-file"
}');
form.append('2.image', '{
"fileName": "example-file"
}');
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.consumer.younegotiate.com/profile/personalization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Personalized portal settings updated successfully.",
"data": {
"configured_logo": {
"id": 123,
"consumer_profile_id": 123,
"primary_color": "#112233",
"secondary_color": "#445566",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"effective_logo": {
"id": 123,
"primary_color": "#0079f2",
"secondary_color": "#000000",
"size": 320
},
"profile_image": {
"name": "<string>",
"url": "https://api.consumer.younegotiate.com/storage/profile-images/consumer.jpg",
"thumbnail_url": "https://api.consumer.younegotiate.com/storage/profile-images/thumbs/consumer.webp"
},
"defaults": {
"primary_color": "#0079f2",
"secondary_color": "#000000",
"size": 320
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update portal personalization
Save profile-level portal colors and optionally upload a profile image. Saved profile colors win across all accounts owned by the same consumer profile. Photo-only uploads keep saved color settings unchanged.
PATCH
/
profile
/
personalization
Update portal personalization
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-dataapplication/json
Last modified on July 19, 2026
Was this page helpful?
⌘I

